Top Trader Long/Short Ratio (Accounts)
Description
Get the long/short account ratio of top traders.
HTTP Request
GET /futures/data/topLongShortAccountRatio
Weight
1
Request Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| symbol | STRING | YES | Trading pair |
| period | ENUM | YES | "5m","15m","30m","1h","2h","4h","6h","12h","1d" |
| limit | INT | NO | Default 30; Max 500 |
| startTime | LONG | NO | Start time |
| endTime | LONG | NO | End time |
Response Example
[
{
"symbol": "BTCUSDT",
"longShortRatio": "0.1979", // Long/short ratio
"longAccount": "0.167854", // Long account ratio
"shortAccount": "0.848243", // Short account ratio
"timestamp": 1583127600000 // Timestamp
}
]
Code Examples
cURL
curl -s "https://api-sepolia.ztdx.io/futures/data/topLongShortAccountRatio?symbol=BTCUSDT&period=1h&limit=5"
Python
import requests
base_url = "https://api.ztdx.io"
params = {"symbol": "BTCUSDT", "period": "1h", "limit": 5}
response = requests.get(f"{base_url}/futures/data/topLongShortAccountRatio", params=params)
for record in response.json():
print(f"{record['symbol']}: L/S={record['longShortRatio']} Long={record['longAccount']} Short={record['shortAccount']}")